Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004161SOGoWeb Mailpublic2017-05-03 09:362017-11-22 10:10
ReportertehXor 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.2.11 
Summary0004161: SOGo vacation mail by date behaves strange
DescriptionWe encountered some strange bug when using SOGo with mailcow and are not sure, if it is SOGo or mailcow related. Therefore I am also not sure yet, if it is reproducable on other systems. Here the reference on mailcow's GitHub: https://github.com/mailcow/mailcow-dockerized/issues/195 [^]


--Quote--

When setting up a vacation mail by date in SOGo the first time everything seems correct and the sogo.sieve is created with the correct dates.

However on the next day the dates in the SOGo interface just "move" forward. So when I created a vacation mail yesterday with 2017-04-14 to 2017-04-18 the interface today shows me that it goes from 2017-04-15 to 2017-04-19 while however sogo.sieve still has the initial correct dates. But when I now update/change my vacation mail settings and save them the sogo.sieve will always have a offset of one day. No matter what I tried so far I cannot eliminate this offset and I'm guessing (due to problem reports of some users) that this offset gets bigger from day to day making it impossible to set correct vacation dates.

So far I don't know what causes this and if more than the vacation mail is effected.

--Quote end--
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0012439)
francis (administrator)
2017-11-22 10:10

See https://github.com/inverse-inc/sogo/commit/08ec68c07cc88163e13b5cac37625940a54f26e7 [^]

- Issue History
Date Modified Username Field Change
2017-05-03 09:36 tehXor New Issue
2017-11-22 10:10 francis Note Added: 0012439
2017-11-22 10:10 francis Status new => resolved
2017-11-22 10:10 francis Fixed in Version => 3.2.11
2017-11-22 10:10 francis Resolution open => fixed
2017-11-22 10:10 francis Assigned To => francis


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker